Bug 249458 - shells/poshinit needs to be renamed, and hence dropped
Summary: shells/poshinit needs to be renamed, and hence dropped
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 18:43 UTC by bourne.identity@hotmail.com
Modified: 2020-09-26 15:29 UTC (History)
1 user (show)

See Also:


Attachments
Moving shells/poshinit to shells/switchBashZsh (6.65 KB, patch)
2020-09-24 20:47 UTC, Matthew Seaman
no flags Details | Diff
diff of poshinit to switchBashZsh (1.63 KB, patch)
2020-09-25 19:54 UTC, bourne.identity@hotmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bourne.identity@hotmail.com 2020-09-19 18:43:39 UTC
I wish to rename shells/poshinit (as switchBashZsh). I would therefore like to drop shells/poshinit as defunct. Once the original (poshinit) has been dropped from the ports/pkg listings, I will create a new PR for a fresh port.


Thanks,
Manish Jain
Comment 1 Matthew Seaman freebsd_committer 2020-09-24 20:31:47 UTC
Rather than deleting and recreating the port, let's just rename the existing port.  It's easy to do and it preserves the history.
Comment 2 Matthew Seaman freebsd_committer 2020-09-24 20:47:48 UTC
Created attachment 218264 [details]
Moving shells/poshinit to shells/switchBashZsh

Do you approve these changes?
Comment 3 bourne.identity@hotmail.com 2020-09-25 01:45:28 UTC
Yes Matthew, I am very happy to have poshinit renamed as switchBashZsh. The github repo has already been updated in the expectation of a name change.



Thanks a lot,
Manish Jain
Comment 4 commit-hook freebsd_committer 2020-09-25 05:59:52 UTC
A commit references this bug:

Author: matthew
Date: Fri Sep 25 05:59:38 UTC 2020
New revision: 549985
URL: https://svnweb.freebsd.org/changeset/ports/549985

Log:
  Track upstream name change shells/poshinit -> shells/switchBashZsh

  PR:		249458
  Approved by:	bourne.identity@hotmail.com (Maintainer)

Changes:
  head/MOVED
  head/shells/Makefile
  head/shells/poshinit/
  head/shells/switchBashZsh/
  head/shells/switchBashZsh/Makefile
  head/shells/switchBashZsh/distinfo
  head/shells/switchBashZsh/pkg-descr
Comment 5 Matthew Seaman freebsd_committer 2020-09-25 06:00:21 UTC
Committed, thanks!
Comment 6 bourne.identity@hotmail.com 2020-09-25 19:52:29 UTC
Matthew, I think the PR got closed too soon. I have to commit the diff between poshinit (License = GPL) and switchBashZsh (License = BSD).

All my applications are now BSD licensed.

The diff for poshinit -> switchBashZsh is attached herewith.

Kindly confirm the diff will be incorporated into the ports tree. Note: the version number of the package has to stay constant at 1.0 (for compatibility with Linux/Cygwin).

Thanks for all your help,
Manish Jain
Comment 7 bourne.identity@hotmail.com 2020-09-25 19:54:29 UTC
Created attachment 218295 [details]
diff of poshinit to switchBashZsh
Comment 8 bourne.identity@hotmail.com 2020-09-25 19:55:52 UTC
Reopening PR for merge of poshinit -> switchBashZsh diff
Comment 9 commit-hook freebsd_committer 2020-09-26 08:25:10 UTC
A commit references this bug:

Author: matthew
Date: Sat Sep 26 08:24:57 UTC 2020
New revision: 550135
URL: https://svnweb.freebsd.org/changeset/ports/550135

Log:
  Correct the license -- upstream has switched to BSD 2-clause.

  PR:		249458
  Submitted by:	bourne.identity@hotmail.com (Maintainer)

Changes:
  head/shells/switchBashZsh/Makefile
Comment 10 Matthew Seaman freebsd_committer 2020-09-26 08:26:23 UTC
Fixed.  Thank you for the correction.
Comment 11 bourne.identity@hotmail.com 2020-09-26 15:29:50 UTC
Thanks so much for all your great work, Matthew !